Search
Search project
GET
Search within a project
ApiKeyAuthheader
X-Redmine-API-Key<token>project_id*|Project ID or identifier
q*stringSearch terms, separated by space
scope?|Search scope
all_words?stringMatch all search terms (default). Send an empty value to match any term.
Value in
"1"""titles_only?stringSearch only in titles
Value in
"1"""open_issues?stringSearch only in open issues
Value in
"1"""attachments?stringSearch in attachments: 0 description only (default), 1 description and attachments, only attachments only
Value in
"0""1""only"issues?stringInclude issues
Value in
"1"""news?stringInclude news
Value in
"1"""documents?stringInclude documents
Value in
"1"""changesets?stringInclude changesets
Value in
"1"""wiki_pages?stringInclude wiki pages
Value in
"1"""messages?stringInclude forum messages
Value in
"1"""projects?stringInclude projects
Value in
"1"""offset?integerOffset of the first item
Format
int64Range
0 <= valueDefault
0limit?integerNumber of items per page
Format
int64Range
1 <= value <= 100Default
100The request has succeeded.
application/json- response
results*array<>total_count*integerTotal number of items
Format
int64offset*integerOffset of the first item
Format
int64limit*integerLimit of items per page
Format
int64curl -X GET 'https://redmine.example.com/projects/0/search.json?q=string'{ "results": [ { "id": 0, "title": "string", "type": "string", "url": "http://example.com", "description": "string", "datetime": "2019-08-24T14:15:22Z" } ], "total_count": 0, "offset": 0, "limit": 0}